BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Represents access to files and directories.

This enumeration is used by the class.

- Field
  System.Security.Permissions.FileIOPermissionAccess AllAccess

  Specifies , , , and access to a file or directory.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.FileIOPermissionAccess Append

  Specifies append access to a file or directory. Append access includes the ability to create a new file or directory.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.FileIOPermissionAccess NoAccess

  Specifies no access to a file or directory.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.FileIOPermissionAccess PathDiscovery

  Specifies access to the path information for a file or directory. does not include access to the contents of a file or directory.

  This permission is used to protect sensitive information in the path, such as user names, as well as information about the directory structure revealed in the path.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.FileIOPermissionAccess Read Specifies read access to a file or directory. To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.FileIOPermissionAccess Write

  Specifies write access to a file or directory. Write access includes deleting and overwriting files or directories.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
0